Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.sagadapter.jni.sag
Class Letter

    java.lang.Object
      com.stc.connector.sagadapter.jni.sag.Letter

    public class Letter

extends java.lang.Object

Wrapper class for SAG C++ Letter class. It is derived from sagappltypes.hpp.

Version:
  cvs revision: $Revision: 1.4 $ Last Modified: $Date: 2007/10/19 19:48:39 $
Author:
  Harry Liu (harry.liu@sun.com)

Constructor Summary
`Letter()` Creates a new instance of Letter
`Letter(java.lang.String buffer)`

Method Summary
`void` | `free()` Method free.
`java.lang.String` | `getBuffer()` returns the buffer of the letter
`int` | `getLength()` returns the length of the buffer of the letter
`void` | `set(int length, java.lang.String buffer)` Set the contents of the letter
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Letter

    public Letter()

  Creates a new instance of Letter

### Letter

    public Letter(java.lang.String buffer)

Method Detail

### free

    public void free()

  Method free.

### set

    public void set(int length,
                    java.lang.String buffer)

  Set the contents of the letter

  Parameters:
    `length` - The length of the buffer (Actually length can be computed from buffer, leave it there just for consistence with native API)
    `buffer` - The buffer of the letter

### getBuffer

    public java.lang.String getBuffer()

  returns the buffer of the letter

  Returns:
    String

### getLength

    public int getLength()

  returns the length of the buffer of the letter

  Returns:
    lonh

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for SAG API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.